Cloud Control
Overview
Provides an Application Programming Interface (API) that supports programmatic use of IaaS/PaaS products provided by SCP.
This guide provides a brief description of CloudControl service and how to call API.
The API is provided as a RESTful API, and it responds in JSON format.
Version
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Status | Not Before |
|---|
| 1.1 | CURRENT | - |
| 1.0 | DEPRECATED | 20251231 |
OpenAPI URL
https://cloudcontrol.{environment}.samsungsdscloud.com
Environment and Region List
| environment | region |
|---|
| s | kr-west1 |
| s | kr-east1 |
| g | kr-south1 |
| g | kr-south2 |
| g | kr-south3 |
| e | kr-west1 |
| e | kr-east1 |
1 - APIs
1.1 - AddBaselineAssignment
1.1.1 - 1.1
post /v1/baseline-assignments/{assignment_id}
Description
add a new baseline assignment
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | assignment_id required | Root/Organization Unit/Account ID Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
| string | None |
| body | body required |
| BaselineAssignmentAddRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | BaselineAssignmentAddResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/baseline-assignments/{assignment_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Request body
{
"agree_yn": "Y",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
"resource_type": "OU",
"sso_user_name": "testuser",
"sso_user_real_name": "test user"
}
Example HTTP response
Response 201
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"resource_type": "OU"
}
1.1.2 - 1.0
post /v1/baseline-assignments/{assignment_id}
Description
add a new baseline assignment
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | assignment_id required | Root/Organization Unit/Account ID Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
| string | None |
| body | body required |
| BaselineAssignmentAddRequest | |
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | BaselineAssignmentAddResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/baseline-assignments/{assignment_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Request body
{
"agree_yn": "Y",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
"resource_type": "OU",
"sso_user_name": "testuser",
"sso_user_real_name": "test user"
}
Example HTTP response
Response 201
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"resource_type": "OU"
}
1.2 - CreateAccountFactoryAccount
1.2.1 - 1.1
post /v1/accounts
Description
create an account using account factory.
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AccountFactoryCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/accounts
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Request body
{
"email": "myaccount@example.com",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"name": "foo-account",
"parent_unit_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"sso_user_email": "user_email@example.com",
"sso_user_name": "John Doe",
"sso_user_real_name": "John Doe"
}
Example HTTP response
Response 201
{
"account_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
"job_id": "0a36e0746dbf4908acf0357829701381"
}
1.2.2 - 1.0
post /v1/accounts
Description
create an account using account factory.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | AccountFactoryCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/accounts
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Request body
{
"email": "myaccount@example.com",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"name": "foo-account",
"parent_unit_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"sso_user_email": "user_email@example.com",
"sso_user_name": "John Doe",
"sso_user_real_name": "John Doe"
}
Example HTTP response
Response 201
{
"account_id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
"job_id": "0a36e0746dbf4908acf0357829701381"
}
1.3 - CreateLandingZone
1.3.1 - 1.1
post /v1/landing-zones
Description
Create a landing zone
State
ACTIVE (CURRENT)
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | LandingZoneCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/landing-zones
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Request body
{
"additional_ou_name": "Sandbox",
"agree_yn": "Y",
"audit_account_name": "AUDIT",
"audit_login_id": "audit@samsung.com",
"basic_ou_name": "Security",
"detective_guardrail_status": "ENABLED",
"log_archive_account_name": "LOG_ARCHIVE",
"log_archive_login_id": "log-archive@samsung.com",
"sso_type": "ID_CENTER"
}
Example HTTP response
Response 201
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}
1.3.2 - 1.0
post /v1/landing-zones
Description
Create a landing zone
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
| HTTP Code | Description | Schema |
|---|
| 201 | Created | LandingZoneCreateResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/landing-zones
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Request body
{
"additional_ou_name": "Sandbox",
"agree_yn": "Y",
"audit_account_name": "AUDIT",
"audit_login_id": "audit@samsung.com",
"basic_ou_name": "Security",
"log_archive_account_name": "LOG_ARCHIVE",
"log_archive_login_id": "log-archive@samsung.com",
"sso_type": "ID_CENTER"
}
Example HTTP response
Response 201
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}
1.4 - DeleteLandingZone
1.4.1 - 1.1
delete /v1/landing-zones/{landing_zone_id}
Description
Delete a landing zone
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | None |
Responses
Example HTTP request
Request path
/v1/landing-zones/{landing_zone_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Example HTTP response
Response 200
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}
1.4.2 - 1.0
delete /v1/landing-zones/{landing_zone_id}
Description
Delete a landing zone
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | None |
Responses
Example HTTP request
Request path
/v1/landing-zones/{landing_zone_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}
1.5 - DisableGuardrailBindings
1.5.1 - 1.1
delete /v1/guardrail-bindings
Description
disable guardrail bindings
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/guardrail-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Request body
{
"guardrail_ids": [
"f98e76d54c32b10a9z8y7x6w5v4u3"
],
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"unit_ids": [
"ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
]
}
Example HTTP response
Response 200
{
"failed_ids": [
{
"error_code": "CloudControl.AlreadyEnabledGuardrails",
"failed_caused": "guardrail already enabled",
"guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
"response": {},
"unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
}
],
"success_ids": [
{
"guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
"unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
}
]
}
1.5.2 - 1.0
delete /v1/guardrail-bindings
Description
disable guardrail bindings
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
Example HTTP request
Request path
/v1/guardrail-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Request body
{
"guardrail_ids": [
"f98e76d54c32b10a9z8y7x6w5v4u3"
],
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"unit_ids": [
"ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
]
}
Example HTTP response
Response 200
{
"failed_ids": [
{
"error_code": "CloudControl.AlreadyEnabledGuardrails",
"failed_caused": "guardrail already enabled",
"guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
"response": {},
"unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
}
],
"success_ids": [
{
"guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
"unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
}
]
}
1.6 - EnableGuardrailBindings
1.6.1 - 1.1
post /v1/guardrail-bindings
Description
enable guardrail bindings
State
ACTIVE (CURRENT)
Parameters
Responses
Example HTTP request
Request path
/v1/guardrail-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Request body
{
"guardrail_ids": [
"f98e76d54c32b10a9z8y7x6w5v4u3"
],
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"unit_ids": [
"ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
]
}
Example HTTP response
Response 200
{
"failed_ids": [
{
"error_code": "CloudControl.AlreadyEnabledGuardrails",
"failed_caused": "guardrail already enabled",
"guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
"response": {},
"unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
}
],
"success_ids": [
{
"guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
"unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
}
]
}
1.6.2 - 1.0
post /v1/guardrail-bindings
Description
enable guardrail bindings
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
Responses
Example HTTP request
Request path
/v1/guardrail-bindings
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Request body
{
"guardrail_ids": [
"f98e76d54c32b10a9z8y7x6w5v4u3"
],
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"unit_ids": [
"ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
]
}
Example HTTP response
Response 200
{
"failed_ids": [
{
"error_code": "CloudControl.AlreadyEnabledGuardrails",
"failed_caused": "guardrail already enabled",
"guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
"response": {},
"unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
}
],
"success_ids": [
{
"guardrail_id": "f98e76d54c32b10a9z8y7x6w5v4u3",
"unit_id": "ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5"
}
]
}
1.7 - ListBaselineAssignments
1.7.1 - 1.1
get /v1/baseline-assignments
Description
get baseline assignment list
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
| query | resource_type optional | OU/Account Example : OU
| any of [enum (OU, ACCOUNT), null] | None |
| query | assignment_id optional | Root/Organization Unit/Account ID Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
| any of [string, null] | None |
| query | status optional | State Example : REGISTRATION_FAILED
| any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING, UNREGISTERING), null] | None |
Responses
Example HTTP request
Request path
/v1/baseline-assignments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Example HTTP response
Response 200
{
"baseline_assignments": [
{
"account_assigned_count": 3,
"account_count": 4,
"detective_guardrail_status": "ENABLED",
"detective_guardrail_type": "SSI",
"id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"ou_assigned_count": 5,
"ou_count": 10,
"preventive_guardrail_activated_count": 8,
"sso_user_name": "testuser",
"status": "REGISTERED",
"type": "OU"
}
]
}
1.7.2 - 1.0
get /v1/baseline-assignments
Description
get baseline assignment list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
| query | resource_type optional | OU/Account Example : OU
| any of [enum (OU, ACCOUNT), null] | None |
| query | assignment_id optional | Root/Organization Unit/Account ID Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
| any of [string, null] | None |
| query | status optional | State Example : REGISTRATION_FAILED
| any of [enum (REGISTERED, REGISTRATION_FAILED, REGISTERING, UNREGISTERING), null] | None |
Responses
Example HTTP request
Request path
/v1/baseline-assignments
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"baseline_assignments": [
{
"account_assigned_count": 3,
"account_count": 4,
"id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"ou_assigned_count": 5,
"ou_count": 10,
"preventive_guardrail_activated_count": 8,
"sso_user_name": "testuser",
"status": "REGISTERED",
"type": "OU"
}
]
}
1.8 - ListGuardrails
1.8.1 - 1.1
get /v1/guardrails
Description
get guardrails list
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Guardrail Name Example : foo-guardrail
| any of [string, null] | None |
| query | exclude_unit_id optional | Linked(Exclusion) Unit ID Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
| any of [string, null] | None |
| query | guidance optional | Policy Guidance Example : MANDATORY
| any of [string, null] | None |
| query | service_name optional | Organization Example : iam
| any of [string, null] | None |
| query | status optional | Application Status Example : ENABLED
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GuardrailPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/guardrails
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Example HTTP response
Response 200
{
"count": 20,
"guardrails": [
{
"binding_ous": [],
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"description": "This is an example guardrail.",
"guidance": "MANDATORY",
"id": "2c8a138f8d78e1fc29a449dbfa8681",
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
"status": "DISABLED",
"type": "PREVENTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.8.2 - 1.0
get /v1/guardrails
Description
get guardrails list
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | name optional | Guardrail Name Example : foo-guardrail
| any of [string, null] | None |
| query | exclude_unit_id optional | Linked(Exclusion) Unit ID Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
| any of [string, null] | None |
| query | guidance optional | Policy Guidance Example : MANDATORY
| any of [string, null] | None |
| query | service_name optional | Organization Example : iam
| any of [string, null] | None |
| query | status optional | Application Status Example : ENABLED
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GuardrailPageResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/guardrails
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"count": 20,
"guardrails": [
{
"binding_ous": [],
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"description": "This is an example guardrail.",
"guidance": "MANDATORY",
"id": "2c8a138f8d78e1fc29a449dbfa8681",
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
"status": "DISABLED",
"type": "PREVENTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.9 - ListGuardrailsForTarget
1.9.1 - 1.1
get /v1/guardrail-bindings/guardrails
Description
list guardrails for target
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | target_id required | Target ID Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
| string | None |
| query | name optional | Guardrail Name Example : guardrail-example
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/guardrail-bindings/guardrails?target_id={target_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Example HTTP response
Response 200
{
"count": 20,
"guardrails": [
{
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"guidance": "MANDATORY",
"id": "0a36e0746dbf4908acf0357829701381",
"link_types": {
"directed": [
{
"target_id": "1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
"target_name": "example-target"
}
],
"inherited": [
{
"target_id": "2a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
"target_name": "root"
}
]
},
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"type": "PREVENTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.9.2 - 1.0
get /v1/guardrail-bindings/guardrails
Description
list guardrails for target
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | target_id required | Target ID Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
| string | None |
| query | name optional | Guardrail Name Example : guardrail-example
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/guardrail-bindings/guardrails?target_id={target_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"count": 20,
"guardrails": [
{
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"guidance": "MANDATORY",
"id": "0a36e0746dbf4908acf0357829701381",
"link_types": {
"directed": [
{
"target_id": "1a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
"target_name": "example-target"
}
],
"inherited": [
{
"target_id": "2a2b3c4d5e6f7g8h9i0j1k2l3m4n5",
"target_name": "root"
}
]
},
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"type": "PREVENTIVE"
}
],
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
]
}
1.10 - ListTargetsForGuardrail
1.10.1 - 1.1
get /v1/guardrail-bindings/targets
Description
list targets for guardrail
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | guardrail_id required | Guardrail ID Example : f98e76d54c32b10a9z8y7x6w5v4u3
| string | None |
| query | target_type required | Target Type Example : ACCOUNT
| enum (ACCOUNT, OU) | None |
| query | name optional | Target Name Example : ou-test
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/guardrail-bindings/targets?guardrail_id={guardrail_id}&target_type={target_type}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"targets": [
{
"email": "score@samsung.com",
"id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
"name": "score-account",
"parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
"parent_unit_name": "parent-unit-name"
}
]
}
1.10.2 - 1.0
get /v1/guardrail-bindings/targets
Description
list targets for guardrail
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
| query | size optional | size Example : 20
| any of [integer, null] | 20 |
| query | page optional | page Example : 0
| any of [integer, null] | 0 |
| query | sort optional | sort Example : created_at:desc
| any of [string, null] | None |
| query | guardrail_id required | Guardrail ID Example : f98e76d54c32b10a9z8y7x6w5v4u3
| string | None |
| query | target_type required | Target Type Example : ACCOUNT
| enum (ACCOUNT, OU) | None |
| query | name optional | Target Name Example : ou-test
| any of [string, null] | None |
Responses
Example HTTP request
Request path
/v1/guardrail-bindings/targets?guardrail_id={guardrail_id}&target_type={target_type}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"count": 20,
"page": 0,
"size": 20,
"sort": [
"created_at:asc"
],
"targets": [
{
"email": "score@samsung.com",
"id": "b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0",
"name": "score-account",
"parent_unit_id": "ou-fc8c29a138d78e24bf1fa86812fc8b",
"parent_unit_name": "parent-unit-name"
}
]
}
1.11 - RemoveBaselineAssignment
1.11.1 - 1.1
delete /v1/baseline-assignments/{assignment_id}
Description
remove a specific baseline assignment
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | assignment_id required | Root/Organization Unit/Account ID Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
| string | None |
| body | body required |
| BaselineAssignmentRemoveRequest | |
Responses
Example HTTP request
Request path
/v1/baseline-assignments/{assignment_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Request body
{
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681",
"resource_type": "ACCOUNT"
}
Example HTTP response
Response 200
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"resource_type": "ACCOUNT"
}
1.12 - SetLandingZone
1.12.1 - 1.1
put /v1/landing-zones/{landing_zone_id}
Description
Set a landing zone
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | None |
| body | body required |
| LandingZoneUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/landing-zones/{landing_zone_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Request body
{
"detective_guardrail_status": "ENABLED"
}
Example HTTP response
Response 200
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}
1.13 - ShowGuardrail
1.13.1 - 1.1
get /v1/guardrails/{guardrail_id}
Description
show a specific guardrail.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | guardrail_id required | Guardrail ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | None |
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GuardrailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/guardrails/{guardrail_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Example HTTP response
Response 200
{
"guardrail": {
"binding_ous": [],
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"description": "This is an example guardrail.",
"guidance": "MANDATORY",
"id": "2c8a138f8d78e1fc29a449dbfa8681",
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
"status": "DISABLED",
"type": "PREVENTIVE"
}
}
1.13.2 - 1.0
get /v1/guardrails/{guardrail_id}
Description
show a specific guardrail.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | guardrail_id required | Guardrail ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | None |
| query | landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | None |
Responses
| HTTP Code | Description | Schema |
|---|
| 200 | OK | GuardrailShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
Example HTTP request
Request path
/v1/guardrails/{guardrail_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"guardrail": {
"binding_ous": [],
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"description": "This is an example guardrail.",
"guidance": "MANDATORY",
"id": "2c8a138f8d78e1fc29a449dbfa8681",
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"name": "foo-guardrail",
"service_name": "iam",
"srn": "srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681",
"status": "DISABLED",
"type": "PREVENTIVE"
}
}
1.14 - ShowLandingZone
1.14.1 - 1.1
get /v1/landing-zones/{landing_zone_id}
Description
Show a landing zone
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | None |
Responses
Example HTTP request
Request path
/v1/landing-zones/{landing_zone_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Example HTTP response
Response 200
{
"landing_zone": {
"agree_yn": "Y",
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"creator_name": "John Doe na",
"detective_guardrail_status": "ENABLED",
"id": "2c8a138f8d78e1fc29a449dbfa8681",
"identity_center_id": "0xnw6g1xh2q5",
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"modifier_name": "Alice",
"organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
"region": "kr-west1",
"service_name": "Cloud Control",
"srn": "srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b",
"sso_type": "ID_CENTER",
"status": "ACTIVE",
"version_id": "1.0"
}
}
1.14.2 - 1.0
get /v1/landing-zones/{landing_zone_id}
Description
Show a landing zone
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | None |
Responses
Example HTTP request
Request path
/v1/landing-zones/{landing_zone_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Example HTTP response
Response 200
{
"landing_zone": {
"agree_yn": "Y",
"created_at": "2025-01-01T00:00:00.000Z",
"created_by": "c23fb561c689455993874fa5d5ed4a2f",
"creator_name": "John Doe na",
"id": "2c8a138f8d78e1fc29a449dbfa8681",
"identity_center_id": "0xnw6g1xh2q5",
"modified_at": "2025-01-01T00:00:00.000Z",
"modified_by": "c23fb561c689455993874fa5d5ed4a2f",
"modifier_name": "Alice",
"organization_id": "o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5",
"region": "kr-west1",
"service_name": "Cloud Control",
"srn": "srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b",
"sso_type": "ID_CENTER",
"status": "ACTIVE",
"version_id": "1.0"
}
}
1.15 - UpdateBaselineAssignment
1.15.1 - 1.1
put /v1/baseline-assignments/{assignment_id}
Description
update a specific baseline assignment.
State
ACTIVE (CURRENT)
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | assignment_id required | Root/Organization Unit/Account ID Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
| string | None |
| body | body required |
| BaselineAssignmentUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/baseline-assignments/{assignment_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.1"
Request body
{
"agree_yn": "Y",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}
Example HTTP response
Response 200
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"resource_type": "OU"
}
1.15.2 - 1.0
put /v1/baseline-assignments/{assignment_id}
Description
update a specific baseline assignment.
State
ACTIVE (DEPRECATED)
Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.
| Version | Not Before |
|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|
| path | assignment_id required | Root/Organization Unit/Account ID Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
| string | None |
| body | body required |
| BaselineAssignmentUpdateRequest | |
Responses
Example HTTP request
Request path
/v1/baseline-assignments/{assignment_id}
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = cloudcontrol 1.0"
Request body
{
"agree_yn": "Y",
"landing_zone_id": "2c8a138f8d78e1fc29a449dbfa8681"
}
Example HTTP response
Response 200
{
"job_id": "0a36e0746dbf4908acf0357829701381",
"resource_id": "ou-b30e9fcc39f84a20bf9e7458e5ec3801",
"resource_type": "OU"
}
2 - Models
2.1 - AccountFactoryCreateRequest
| Name | Description | Schema | Default |
|---|
email optional | Account Email Example : myaccount@example.com
| any of [string, null] | |
landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
name required | Account Name Example : foo-account
| string | |
parent_unit_id required | Parent Organization Unit ID Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
| string | |
sso_user_email optional | ID Center User Email Example : user_email@example.com
| any of [string, null] | |
sso_user_name optional | ID Center User Name Example : John Doe
| any of [string, null] | |
sso_user_real_name optional | ID Center User Real Name Example : John Doe
| any of [string, null] | |
2.2 - AccountFactoryCreateResponse
| Name | Description | Schema | Default |
|---|
account_id required | Organization Account ID Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
| string | |
job_id required | ID Example : 0a36e0746dbf4908acf0357829701381
| string | |
2.3 - AccountsForGuardrail
| Name | Description | Schema | Default |
|---|
email optional | Account Email Example : score@samsung.com
| any of [string, null] | |
id required | Organization Account ID Example : b4d3f2h1j0l9n8p7r6t5v4x3z2y1w0
| string | |
name optional | Account Name Example : score-account
| any of [string, null] | |
parent_unit_id required | Root or Parent Organization Unit ID Example : ou-fc8c29a138d78e24bf1fa86812fc8b
| string | |
parent_unit_name required | Root or Parent Organization Unit Name Example : parent-unit-name
| string | |
2.4 - BaselineAssignment
| Name | Description | Schema | Default |
|---|
account_assigned_count optional | Registered Account Count Example : 3
| any of [integer, null] | |
account_count optional | Total Account Count Example : 4
| any of [integer, null] | |
id required | Root/Organization Unit/Account ID Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
| string | |
ou_assigned_count optional | Registered Organization Unit Count Example : 5
| any of [integer, null] | |
ou_count optional | Total Organization Unit Count Example : 10
| any of [integer, null] | |
preventive_guardrail_activated_count optional | Activated Preventive Guardrail Count Example : 8
| any of [integer, null] | |
sso_user_name optional | ID Center User Name Example : testuser
| any of [string, null] | |
status optional | State Example : REGISTERED
| any of [string, null] | |
type required | OU/Account Example : OU
| string | |
2.5 - BaselineAssignmentAddRequest
| Name | Description | Schema | Default |
|---|
agree_yn optional | Terms Agreement YN Example : Y
| any of [enum (Y, N), null] | |
landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
parent_unit_id optional | Root or Parent Organization Unit ID Example : ou-fc8c29a138d78e24bf1fa86812fc8b
| any of [string, null] | |
resource_type required | OU/Account Example : OU
| enum (ACCOUNT, OU) | |
sso_user_name optional | ID Center User Name Example : testuser
| any of [string, null] | |
sso_user_real_name optional | ID Center User Real Name Example : test user
| any of [string, null] | |
2.6 - BaselineAssignmentAddResponse
| Name | Description | Schema | Default |
|---|
job_id required | ID Example : 0a36e0746dbf4908acf0357829701381
| string | |
resource_id required | Root/Organization Unit/Account ID Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
| string | |
resource_type required | OU/Account Example : OU
| string | |
2.7 - BaselineAssignmentListResponse
2.8 - BaselineAssignmentListResponseV1Dot1
2.9 - BaselineAssignmentRemoveRequest
| Name | Description | Schema | Default |
|---|
landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
resource_type required | OU/Account Example : ACCOUNT
| enum (ACCOUNT, OU) | |
2.10 - BaselineAssignmentRemoveResponse
| Name | Description | Schema | Default |
|---|
job_id required | ID Example : 0a36e0746dbf4908acf0357829701381
| string | |
resource_id required | Root/Organization Unit/Account ID Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
| string | |
resource_type required | OU/Account Example : ACCOUNT
| string | |
2.11 - BaselineAssignmentUpdateRequest
| Name | Description | Schema | Default |
|---|
agree_yn optional | Terms Agreement YN Example : Y
| any of [enum (Y, N), null] | |
landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
2.12 - BaselineAssignmentV1Dot1
| Name | Description | Schema | Default |
|---|
account_assigned_count optional | Registered Account Count Example : 3
| any of [integer, null] | |
account_count optional | Total Account Count Example : 4
| any of [integer, null] | |
detective_guardrail_status optional | Detective Guardrail Status Example : ENABLED
| any of [string, null] | |
detective_guardrail_type optional | Detective Guardrail Type Example : SSI
| any of [string, null] | |
id required | Root/Organization Unit/Account ID Example : ou-b30e9fcc39f84a20bf9e7458e5ec3801
| string | |
ou_assigned_count optional | Registered Organization Unit Count Example : 5
| any of [integer, null] | |
ou_count optional | Total Organization Unit Count Example : 10
| any of [integer, null] | |
preventive_guardrail_activated_count optional | Activated Preventive Guardrail Count Example : 8
| any of [integer, null] | |
sso_user_name optional | ID Center User Name Example : testuser
| any of [string, null] | |
status optional | State Example : REGISTERED
| any of [string, null] | |
type required | OU/Account Example : OU
| string | |
2.13 - Guardrail
| Name | Description | Schema | Default |
|---|
binding_ous optional |
| any of [array[GuardrailBindingOu], array[object], null] | |
created_at required | Created At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
created_by required | Created By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
description optional | Guardrail Description Example : This is an example guardrail.
| any of [string, null] | |
guidance required | Policy Guidance Example : MANDATORY
| string | |
id required | Guardrail ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
modified_at required | Modified At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
modified_by required | Modified By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
name required | Guardrail Name Example : foo-guardrail
| string | |
service_name required | Organization Example : iam
| string | |
srn optional | Guardrail SRN Example : srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | |
status optional | Application Status Example : DISABLED
| string | DISABLED |
type required | Guardrail Type Example : PREVENTIVE
| string | |
2.14 - GuardrailAssignmentDetail
| Name | Description | Schema | Default |
|---|
guardrail_id required | Guardrail ID Example : f98e76d54c32b10a9z8y7x6w5v4u3
| string | |
unit_id required | Target ID Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
| string | |
2.15 - GuardrailAssignmentFailCaused
| Name | Description | Schema | Default |
|---|
error_code required | Error Code Example : CloudControl.AlreadyEnabledGuardrails
| string | |
failed_caused required | Failure Cause Example : guardrail already enabled
| string | |
guardrail_id required | Guardrail ID Example : f98e76d54c32b10a9z8y7x6w5v4u3
| string | |
response optional | Example :
| any of [object, null] | |
unit_id required | Target ID Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
| string | |
2.16 - GuardrailAssignmentResponse
2.17 - GuardrailBindingOu
| Name | Description | Schema | Default |
|---|
id required | Organization Unit ID Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
| string | |
name required | Organization Unit Name Example : score-organization-unit
| string | |
2.18 - GuardrailDisableRequest
| Name | Description | Schema | Default |
|---|
guardrail_ids required | Guardrail List ID Example : ['f98e76d54c32b10a9z8y7x6w5v4u3']
| array[string] | |
landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | |
unit_ids required | Target Info Example : ['ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5']
| array[string] | |
2.19 - GuardrailEnableRequest
| Name | Description | Schema | Default |
|---|
guardrail_ids required | Guardrail List ID Example : ['f98e76d54c32b10a9z8y7x6w5v4u3']
| array[string] | |
landing_zone_id optional | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | |
unit_ids required | Target Info Example : ['ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5']
| array[string] | |
2.20 - GuardrailLinkInfo
| Name | Description | Schema | Default |
|---|
target_id required | Target ID Example : ou-1a2b3c4d5e6f7g8h9i0j1k2l3m4n5
| string | |
target_name required | Target Name Example : ou-test
| any of [string, null] | |
2.21 - GuardrailPageResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 20
| integer | |
guardrails required |
| array[GuardrailSummary] | |
page required | page Example : 0
| integer | |
size required | size Example : 20
| integer | |
sort optional | sort Example : ['created_at:asc']
| any of [array[string], null] | |
2.22 - GuardrailsForTargetSummary
| Name | Description | Schema | Default |
|---|
created_at required | Created At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
created_by required | Created By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
guidance required | Policy Guidance Example : MANDATORY
| string | |
id required | ID Example : 0a36e0746dbf4908acf0357829701381
| string | |
link_types required | Link Type Example : {'directed': [{'target_id': '1a2b3c4d5e6f7g8h9i0j1k2l3m4n5', 'target_name': 'example-target'}], 'inherited': [{'target_id': '2a2b3c4d5e6f7g8h9i0j1k2l3m4n5', 'target_name': 'root'}]}
| object[array[GuardrailLinkInfo]] | |
modified_at required | Modified At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
modified_by required | Modified By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
name required | Guardrail Name Example : foo-guardrail
| string | |
service_name required | Organization Example : iam
| string | |
type required | Guardrail Type Example : PREVENTIVE
| string | |
2.23 - GuardrailShowResponse
| Name | Description | Schema | Default |
|---|
guardrail required |
| Guardrail | |
2.24 - GuardrailSummary
| Name | Description | Schema | Default |
|---|
binding_ous optional |
| any of [array[GuardrailBindingOu], array[object], null] | |
created_at required | Created At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
created_by required | Created By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
description optional | Guardrail Description Example : This is an example guardrail.
| any of [string, null] | |
guidance required | Policy Guidance Example : MANDATORY
| string | |
id required | Guardrail ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
modified_at required | Modified At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
modified_by required | Modified By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
name required | Guardrail Name Example : foo-guardrail
| string | |
service_name required | Organization Example : iam
| string | |
srn optional | Guardrail SRN Example : srn:dev2:::::cloudcontrol:guardrail/2c8a138f8d78e1fc29a449dbfa8681
| any of [string, null] | |
status optional | Application Status Example : DISABLED
| string | DISABLED |
type required | Guardrail Type Example : PREVENTIVE
| string | |
2.25 - LandingZone
| Name | Description | Schema | Default |
|---|
agree_yn required | Terms Agreement YN Example : Y
| string | |
created_at required | Created At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
created_by required | Created By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
creator_name optional | Creator Name Example : John Doe na
| string | - |
id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
identity_center_id optional | Identity Center ID Example : 0xnw6g1xh2q5
| any of [string, null] | |
modified_at required | Modified At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
modified_by required | Modified By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
modifier_name optional | Modifier Name Example : Alice
| string | - |
organization_id required | Organization ID Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
| string | |
region required | Region Example : kr-west1
| string | |
service_name required | Service Name Example : Cloud Control
| string | |
srn required | Landing Zone SRN Example : srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b
| string | |
sso_type required | Account Access Configuration Example : ID_CENTER
| string | |
status required | State Example : ACTIVE
| string | |
version_id required | Landing Zone Version Example : 1.0
| string | |
2.26 - LandingZoneCreateRequest
| Name | Description | Schema | Default |
|---|
additional_ou_name required | Additional Organization Unit Name Example : Sandbox Minimum length : 1 Maximum length : 128
| string | |
agree_yn required | Terms Agreement YN Example : Y
| enum (Y, N) | |
audit_account_name required | Audit Account Name Example : AUDIT Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$ Minimum length : 3 Maximum length : 30
| string | |
audit_login_id required | Login ID Example : audit@samsung.com Maximum length : 60
| string (email) | |
basic_ou_name required | Basic Organization Unit Name Example : Security Minimum length : 1 Maximum length : 128
| string | |
log_archive_account_name required | Log Archive Account Name Example : LOG_ARCHIVE Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$ Minimum length : 3 Maximum length : 30
| string | |
log_archive_login_id required | Login ID Example : log-archive@samsung.com Maximum length : 60
| string (email) | |
sso_type required | Account Access Configuration Example : ID_CENTER
| enum (ID_CENTER, SELF) | |
2.27 - LandingZoneCreateRequestV1Dot1
| Name | Description | Schema | Default |
|---|
additional_ou_name required | Additional Organization Unit Name Example : Sandbox Minimum length : 1 Maximum length : 128
| string | |
agree_yn required | Terms Agreement YN Example : Y
| enum (Y, N) | |
audit_account_name required | Audit Account Name Example : AUDIT Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$ Minimum length : 3 Maximum length : 30
| string | |
audit_login_id required | Login ID Example : audit@samsung.com Maximum length : 60
| string (email) | |
basic_ou_name required | Basic Organization Unit Name Example : Security Minimum length : 1 Maximum length : 128
| string | |
detective_guardrail_status required | Detective Guardrail Status Example : ENABLED
| enum (ENABLED, DISABLED, ENABLING, DISABLING) | |
log_archive_account_name required | Log Archive Account Name Example : LOG_ARCHIVE Pattern : ^[a-zA-Z0-9ㄱ-ㅎㅏ-ㅣ가-힣 \+=_\-@\[\]\(\)\.,]*$ Minimum length : 3 Maximum length : 30
| string | |
log_archive_login_id required | Login ID Example : log-archive@samsung.com Maximum length : 60
| string (email) | |
sso_type required | Account Access Configuration Example : ID_CENTER
| enum (ID_CENTER, SELF) | |
2.28 - LandingZoneCreateResponse
| Name | Description | Schema | Default |
|---|
job_id required | ID Example : 0a36e0746dbf4908acf0357829701381
| string | |
landing_zone_id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
2.29 - LandingZoneShowResponse
| Name | Description | Schema | Default |
|---|
landing_zone required |
| LandingZone | |
2.30 - LandingZoneShowResponseV1Dot1
2.31 - LandingZoneUpdateRequest
| Name | Description | Schema | Default |
|---|
detective_guardrail_status required | Detective Guardrail Status Example : ENABLED
| string | |
2.32 - LandingZoneV1Dot1
| Name | Description | Schema | Default |
|---|
agree_yn required | Terms Agreement YN Example : Y
| string | |
created_at required | Created At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
created_by required | Created By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
creator_name optional | Creator Name Example : John Doe na
| string | - |
detective_guardrail_status required | Detective Guardrail Status Example : ENABLED
| enum (ENABLED, DISABLED, ENABLING, DISABLING) | |
id required | Landing Zone ID Example : 2c8a138f8d78e1fc29a449dbfa8681
| string | |
identity_center_id optional | Identity Center ID Example : 0xnw6g1xh2q5
| any of [string, null] | |
modified_at required | Modified At Example : 2025-01-01T00:00:00.000Z
| string (date-time) | |
modified_by required | Modified By Example : c23fb561c689455993874fa5d5ed4a2f
| string | |
modifier_name optional | Modifier Name Example : Alice
| string | - |
organization_id required | Organization ID Example : o-x9y8z7w6v5u4t3s2r1q0p9o8n7m6l5
| string | |
region required | Region Example : kr-west1
| string | |
service_name required | Service Name Example : Cloud Control
| string | |
srn required | Landing Zone SRN Example : srn:dev2::a8a2f3c2659646ecaaf28fc8f783921a:::cloudcontrol:landingzone/f7a1ef0b17e34a37811cc2fa7a6bd50b
| string | |
sso_type required | Account Access Configuration Example : ID_CENTER
| string | |
status required | State Example : ACTIVE
| string | |
version_id required | Landing Zone Version Example : 1.0
| string | |
2.33 - ListGuardrailsForTargetResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 20
| integer | |
guardrails required |
| array[GuardrailsForTargetSummary] | |
page required | page Example : 0
| integer | |
size required | size Example : 20
| integer | |
sort optional | sort Example : ['created_at:asc']
| any of [array[string], null] | |
2.34 - ListTargetsForGuardrailResponse
| Name | Description | Schema | Default |
|---|
count required | count Example : 20
| integer | |
page required | page Example : 0
| integer | |
size required | size Example : 20
| integer | |
sort optional | sort Example : ['created_at:asc']
| any of [array[string], null] | |
targets required |
| any of [array[AccountsForGuardrail], array[OrganizationUnitsForGuardrail]] | |
2.35 - OrganizationUnitsForGuardrail
| Name | Description | Schema | Default |
|---|
id required | Organization Unit ID Example : ou-c29a138f8f1d78e24dbfa8681fc2fc8
| string | |
name required | Organization Unit Name Example : score-organization-unit
| string | |
parent_unit_id optional | Root or Parent Organization Unit ID Example : ou-fc8c29a138d78e24bf1fa86812fc8b
| any of [string, null] | |
parent_unit_name optional | Root or Parent Organization Unit Name Example : parent-unit-name
| any of [string, null] | |